% Numerical parameters of a vibrating string
% Parameters taken from the guitar string A 110 Hz,
% adjusted to 100 Hz for easier-to-read graphs
%
% Defines global variables T, mu, L, a, c, f1
%
%Pierre Haessig, January 2018

% T: tension
T = 120; % N, true value: 58 N
% mu: Linear density of the string
mu = 3e-3; % kg/m
% L: length
L = 1; % m, true value: 0.63 m
% a: linear damping coeff
a = 0.1; % N/(m/s)/m

% Derived basic properties
% c: wave velocity (m/s)
c = sqrt(T/mu);

% f1: fundamental mode: Hz
f1 = c/(2*L);
fprintf('fundamental mode f1: %.1f Hz\n', f1)