function et = time_fun(f, duration)
%TIME_FUN timeit function for f, with a given test duration
%   Returns the time it takes to run f, in seconds

    n_test = 1;
    et = t(f, n_test);

    while et < (duration/8)
        n_test = n_test*2;
        et = t(f, n_test);
    end
    
    et1 = et/n_test;
    et2 = t(f, n_test)/n_test;
    et3 = t(f, n_test)/n_test;
    
    et = min([et1, et2, et3]);
end

function et = t(f, n_test)
    tic
    for i=1:n_test
        f();
    end
    et = toc;
end